Exodus 7.22

Macros | Functions | Variables
ex_utils.c File Reference
`#include <errno.h>`
`#include "exodusII.h"`
`#include "exodusII_int.h"`

## Macros
#define | MAGIC_NUMBER_LEN 4
#define | EX_QSORT_CUTOFF 12

## Functions
void | ex_print_config (void)
int | ex__check_file_type (const char *path, int *type)
int | ex_set_max_name_length (int exoid, int length)
void | ex__update_max_name_length (int exoid, int length)
int | ex__put_names (int exoid, int varid, size_t num_entity, char **names, ex_entity_type obj_type, const char *subtype, const char *routine)
int | ex__put_name (int exoid, int varid, size_t index, const char *name, ex_entity_type obj_type, const char *subtype, const char *routine)
int | ex__get_names (int exoid, int varid, size_t num_entity, char **names, ex_entity_type obj_type, const char *routine)
int | ex__get_name (int exoid, int varid, size_t index, char *name, int name_size, ex_entity_type obj_type, const char *routine)
void | ex__trim (char *name)
char * | ex__catstr (const char *string, int num)
char * | ex__catstr2 (const char *string1, int num1, const char *string2, int num2)
char * | ex_name_of_object (ex_entity_type obj_type)
ex_entity_type | ex_var_type_to_ex_entity_type (char var_type)
char * | ex__dim_num_objects (ex_entity_type obj_type)
char * | ex__dim_num_entries_in_object (ex_entity_type obj_type, int idx)
char * | ex__name_var_of_object (ex_entity_type obj_type, int i, int j)
char * | ex__name_of_map (ex_entity_type map_type, int map_index)
int | ex__id_lkup (int exoid, ex_entity_type id_type, ex_entity_id num)
struct ex__obj_stats * | ex__get_stat_ptr (int exoid, struct ex__obj_stats **obj_ptr)
void | ex__rm_stat_ptr (int exoid, struct ex__obj_stats **obj_ptr)
struct ex__list_item ** | ex__get_counter_list (ex_entity_type obj_type)
int | ex__inc_file_item (int exoid, struct ex__list_item **list_ptr)
int | ex__get_file_item (int exoid, struct ex__list_item **list_ptr)
void | ex__rm_file_item (int exoid, struct ex__list_item **list_ptr)
int | ex_get_num_props (int exoid, ex_entity_type obj_type)
int | ex__get_cpu_ws (void)
static void | ex_swap (int v[], int64_t i, int64_t j)
static void | ex_swap64 (int64_t v[], int64_t i, int64_t j)
static int | ex_int_median3 (int v[], int iv[], int64_t left, int64_t right)
static int64_t | ex_int_median3_64 (int64_t v[], int64_t iv[], int64_t left, int64_t right)
static void | ex_int_iqsort (int v[], int iv[], int left, int right)
static void | ex_int_iqsort64 (int64_t v[], int64_t iv[], int64_t left, int64_t right)
static void | ex_int_iisort (int v[], int iv[], int N)
static void | ex_int_iisort64 (int64_t v[], int64_t iv[], int64_t N)
void | ex__iqsort (int v[], int iv[], int N)
void | ex__iqsort64 (int64_t v[], int64_t iv[], int64_t N)
int | ex_large_model (int exoid)
int | ex__get_dimension (int exoid, const char *DIMENSION, const char *label, size_t *count, int *dimid, const char *routine)
size_t | ex_header_size (int exoid)
void | ex__compress_variable (int exoid, int varid, int type)
int | ex__leavedef (int exoid, const char *call_rout)
int | ex__check_version (int run_version)
int | ex__handle_mode (unsigned int my_mode, int is_parallel, int run_version)
int | ex__populate_header (int exoid, const char *path, int my_mode, int is_parallel, int *comp_ws, int *io_ws)
char * | ex_copy_string (char *dest, char const *source, size_t elements)

## Variables
struct ex__obj_stats * | exoII_eb = 0
struct ex__obj_stats * | exoII_ed = 0
struct ex__obj_stats * | exoII_fa = 0
struct ex__obj_stats * | exoII_ns = 0
struct ex__obj_stats * | exoII_es = 0
struct ex__obj_stats * | exoII_fs = 0
struct ex__obj_stats * | exoII_ss = 0
struct ex__obj_stats * | exoII_els = 0
struct ex__obj_stats * | exoII_em = 0
struct ex__obj_stats * | exoII_edm = 0
struct ex__obj_stats * | exoII_fam = 0
struct ex__obj_stats * | exoII_nm = 0
static char | ret_string [10 *(MAX_VAR_NAME_LENGTH+1)]
static char * | cur_string = &ret_string[0]
static struct ex__list_item * | ed_ctr_list = 0
static struct ex__list_item * | fa_ctr_list = 0
static struct ex__list_item * | eb_ctr_list = 0
static struct ex__list_item * | ns_ctr_list = 0
static struct ex__list_item * | es_ctr_list = 0
static struct ex__list_item * | fs_ctr_list = 0
static struct ex__list_item * | ss_ctr_list = 0
static struct ex__list_item * | els_ctr_list = 0
static struct ex__list_item * | nm_ctr_list = 0
static struct ex__list_item * | edm_ctr_list = 0
static struct ex__list_item * | fam_ctr_list = 0
static struct ex__list_item * | em_ctr_list = 0
static int | warning_output = 0

## Macro Definition Documentation

## ◆ EX_QSORT_CUTOFF

#define EX_QSORT_CUTOFF 12

## ◆ MAGIC_NUMBER_LEN

#define MAGIC_NUMBER_LEN 4

## Function Documentation

## ◆ ex_copy_string()

char* ex_copy_string | ( | char * | dest,
|  | char const * | source,
|  | size_t | elements
| ) |  |

Undocumented:
  Safer than strncpy – guarantees null termination

## ◆ ex_int_iisort()

static void ex_int_iisort | ( | int | v[],
|  | int | iv[],
|  | int | N
| ) |  |
| static

Undocumented:

## ◆ ex_int_iisort64()

static void ex_int_iisort64 | ( | int64_t | v[],
|  | int64_t | iv[],
|  | int64_t | N
| ) |  |
| static

Undocumented:

## ◆ ex_int_iqsort()

static void ex_int_iqsort | ( | int | v[],
|  | int | iv[],
|  | int | left,
|  | int | right
| ) |  |
| static

Undocumented:

## ◆ ex_int_iqsort64()

static void ex_int_iqsort64 | ( | int64_t | v[],
|  | int64_t | iv[],
|  | int64_t | left,
|  | int64_t | right
| ) |  |
| static

Undocumented:

## ◆ ex_int_median3()

static int ex_int_median3 | ( | int | v[],
|  | int | iv[],
|  | int64_t | left,
|  | int64_t | right
| ) |  |
| static

Undocumented:

## ◆ ex_int_median3_64()

static int64_t ex_int_median3_64 | ( | int64_t | v[],
|  | int64_t | iv[],
|  | int64_t | left,
|  | int64_t | right
| ) |  |
| static

Undocumented:

## ◆ ex_name_of_object()

char* ex_name_of_object | ( | ex_entity_type | obj_type | ) |

Undocumented:

## ◆ ex_swap()

static void ex_swap | ( | int | v[],
|  | int64_t | i,
|  | int64_t | j
| ) |  |
| static

Undocumented:

## ◆ ex_swap64()

static void ex_swap64 | ( | int64_t | v[],
|  | int64_t | i,
|  | int64_t | j
| ) |  |
| static

Undocumented:

## ◆ ex_var_type_to_ex_entity_type()

ex_entity_type ex_var_type_to_ex_entity_type | ( | char | var_type | ) |

Undocumented:

## Variable Documentation

## ◆ cur_string

char* cur_string = &ret_string[0]
| static

## ◆ eb_ctr_list

struct ex__list_item* eb_ctr_list = 0
| static

## ◆ ed_ctr_list

struct ex__list_item* ed_ctr_list = 0
| static

## ◆ edm_ctr_list

struct ex__list_item* edm_ctr_list = 0
| static

## ◆ els_ctr_list

struct ex__list_item* els_ctr_list = 0
| static

## ◆ em_ctr_list

struct ex__list_item* em_ctr_list = 0
| static

## ◆ es_ctr_list

struct ex__list_item* es_ctr_list = 0
| static

## ◆ fa_ctr_list

struct ex__list_item* fa_ctr_list = 0
| static

## ◆ fam_ctr_list

struct ex__list_item* fam_ctr_list = 0
| static

## ◆ fs_ctr_list

struct ex__list_item* fs_ctr_list = 0
| static

## ◆ nm_ctr_list

struct ex__list_item* nm_ctr_list = 0
| static

## ◆ ns_ctr_list

struct ex__list_item* ns_ctr_list = 0
| static

## ◆ ret_string

char ret_string[10 *(MAX_VAR_NAME_LENGTH+1)]
| static

## ◆ ss_ctr_list

struct ex__list_item* ss_ctr_list = 0
| static

## ◆ warning_output

int warning_output = 0
| static